It allows an external application to subscribe to our service and listen for triggered events from it. Currently,
Workato is the only application using this endpoint.
Once called, this will create a Script and a Hook (CustomAction or EventHook) that will call the given webhook_url
every time the hook is triggered.
Expected payload:
{
"recipe_id": "an ID to identify the recipe that is calling this endpoint",
"webhook_url": "a URL to callback when the event triggers",
"model": "Vitruvi model that is triggering the event.
We expect the model name in lowercase and with underscores",
"hook": "The hook, either Event or CustomAction",
"event_type": "Type of the event, e.g., ADD, UPD, DEL",
"custom_action_name": "The name of the CustomAction"
}
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
200No response body
